//----财务管理-ROE测算-预测方案-新增js----
function dateTimeInit(){
//	var end=getCurrentDayTime();
//	var endTime=end.substring(0,7);
	$("#startDate").datetimepicker({
	    language:  "zh-CN",
	    weekStart: 1,
	    todayBtn:  1,
	    autoclose: 1,
	    todayHighlight: 1,
	    startView: 2,
	    minView: 2,
	    forceParse: 0,
	    startView:3,
	    minView:3,
	    format: "yyyy-mm",
	    startDate:'1970-01',
	    endDate:'2116-12-31'
	})
}
$(function(){
	//确定按钮移除loading	
	$(".yk_addBtns .updateSure").removeClass("loadingCircle");
	dateTimeInit();//日期初始化
	var start=$("#startDate").val().substring(0,4)+'年'+$("#startDate").val().substring(5,8)+"月-12月";
	$(".headerDate").text(start);
	$("#startDate").change(function(){
		var startTime=$(this).val();
		var endYear=startTime.substring(0,4)+"-12";
		$("#endDate").val(endYear);
		if($(".headerDate").length){
			$(".headerDate").text(startTime.substring(0,4)+'年'+startTime.substring(5,8)+'月--12月');
		}
	})
	//金额添加分隔符
	$(".insertionPoint").each(function(){
		$(this).val( commaDelimiter($(this).val()));
	})
	//添加分隔符	
	$(".insertionPoint").keyup(function(){
		var value=$(this).val()||0;
		var reg=/^[\-?\d{1,}]+(.?\d{1,2})?$/;
		var flag=true;
		if(value!=0){
			var lastval=value.substring(value.length-1,value.length);
			if(lastval!='.'){
				if(!reg.test(value)){
					var val=value.substring(0,value.length-1);
					$(this).val(val);
					new $.zui.Messager('输入字符不符合报表要求规范，已删去', {
					    type: 'warning',
					    time:1500
					}).show();
					flag=false;
				}
			}else {
				if(value.length==1){
					$(this).val(null);
					new $.zui.Messager('金额开头不能输入点，已删去', {
					    type: 'warning',
					    time:1500
					}).show();
					flag=false;
				}
			}
		}
		if(flag){
			if($(this).hasClass("insertSubitem")){
				var sum='';
				$(".insertSubitem").each(function(i){
					var insertionVal=$(this).val().split(',').join('')||0;
					sum+=insertionVal;
					if(i!=2){
						sum+='+'
					}
				})
				$("#totalForecast").val(eval(sum));
				$("#totalForecast").val(commaDelimiter($("#totalForecast").val()))
			}
			$(this).val( commaDelimiter($(this).val()));
		}
	});
	
	//返回
	$(".yk_addBtns .closer").click(function(){
		var localdata=jQuery.parseJSON(localStorage.getItem("localdata"));
		var start='';var end='';
		if(localdata){
			start=localdata.start;
			end=localdata.end;
		}
		$(".yk_rightcontent").load('/profitInformation/list',function(){
			$(".startdate_input").val(start);
			$(".enddate_input").val(end);
		});
	})
	
	//点击确定
	$(".yk_addBtns .updateSure").click(function(){
		$(".insertionPoint").each(function(){
			var insertionVal=$(this).val().split(',').join('');
			$(this).val(insertionVal);
		})
		$("#updatePastPeriodEntryForm").submit();
	})
	$("#updatePastPeriodEntryForm").validate({
		
		submitHandler : function(form) {
			$(".yk_addBtns .updateSure").addClass("loadingCircle");
			$(form).ajaxSubmit({
				success : function(e) {
					if (e && e.success == true) {
						new $.zui.Messager('保存成功', {
							type : 'success',
							time : 1500
						}).show();
						$(".yk_addBtns .closer").click();
					}else {
						new $.zui.Messager('保存失败:'+e.msg, {
							type : 'danger',
							time : 1500
						}).show();
						$(".yk_addBtns .updateSure").removeClass("loadingCircle");
					}
				}
			})
		},
		rules : {
			'name':{
				required : true,
				maxlength:30
			},
			'amountUnit.id':{
				required : true
			},
			'startTime':{
				required : true
			},
			'endTime':{
				required : true
			},
			'netAssets':{
				required : true,
				decimalLengthValid:true,
				decimalNumberValid:true,
				decimalPointValid:true
			},
			'ziGuan':{
				required : true,
				decimalLengthValid:true,
				decimalNumberValid:true,
				decimalPointValid:true
			},
			'factoring':{
				required : true,
				decimalLengthValid:true,
				decimalNumberValid:true,
				decimalPointValid:true
			},
			'changyinInvestment':{
				required : true,
				decimalLengthValid:true,
				decimalNumberValid:true,
				decimalPointValid:true
			},
			'totalForecast':{
				required : true,
				decimalNumberValid:true,
				decimalPointValid:true
			},
			'shouldRealizeIncome':{
				required : true
			}
		},
		messages : {
			'name' : {
				required : "请输入方案名称",
				maxlength:"方案名称最多只能输入30个字符"
			},
			'amountUnit.id' : {
				required : "请选择金额单位"
			},
			'startTime':{
				required : "请选择开始日期"
			},
			'endTime':{
				required : "结束日期由开始日期决定，请填写开始日期"
			},
			'netAssets':{
				required : "请输入净资产"
			},
			'ziGuan' : {
				required : "请输入资管公司预测的净利润"
			},
			'factoring' : {
				required : "请输入保理公司预测的净利润"
			},
			'changyinInvestment' : {
				required : "请输入长银投资预测的净利润"
			},
			'totalForecast' : {
				required : "预测合计不能为空"
			},
			'shouldRealizeIncome':{
				required : "应实现的收入不能为空"
			}
		}
	})
})